<?php



$tdatatb_categpdtos = array();
$tdatatb_categpdtos[".searchableFields"] = array();
$tdatatb_categpdtos[".ShortName"] = "tb_categpdtos";
$tdatatb_categpdtos[".OwnerID"] = "";
$tdatatb_categpdtos[".OriginalTable"] = "tb_categpdtos";


$tdatatb_categpdtos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_categpdtos[".originalPagesByType"] = $tdatatb_categpdtos[".pagesByType"];
$tdatatb_categpdtos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_categpdtos[".originalPages"] = $tdatatb_categpdtos[".pages"];
$tdatatb_categpdtos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_categpdtos[".originalDefaultPages"] = $tdatatb_categpdtos[".defaultPages"];

//	field labels
$fieldLabelstb_categpdtos = array();
$fieldToolTipstb_categpdtos = array();
$pageTitlestb_categpdtos = array();
$placeHolderstb_categpdtos = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_categpdtos["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_categpdtos["Portuguese(Brazil)"] = array();
	$placeHolderstb_categpdtos["Portuguese(Brazil)"] = array();
	$pageTitlestb_categpdtos["Portuguese(Brazil)"] = array();
	$fieldLabelstb_categpdtos["Portuguese(Brazil)"]["categpdtoID"] = "Categpdto ID";
	$fieldToolTipstb_categpdtos["Portuguese(Brazil)"]["categpdtoID"] = "";
	$placeHolderstb_categpdtos["Portuguese(Brazil)"]["categpdtoID"] = "";
	$fieldLabelstb_categpdtos["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipstb_categpdtos["Portuguese(Brazil)"]["categoria"] = "";
	$placeHolderstb_categpdtos["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelstb_categpdtos["Portuguese(Brazil)"]["ativar"] = "Ativar";
	$fieldToolTipstb_categpdtos["Portuguese(Brazil)"]["ativar"] = "";
	$placeHolderstb_categpdtos["Portuguese(Brazil)"]["ativar"] = "";
	if (count($fieldToolTipstb_categpdtos["Portuguese(Brazil)"]))
		$tdatatb_categpdtos[".isUseToolTips"] = true;
}


	$tdatatb_categpdtos[".NCSearch"] = true;


	$tdatatb_categpdtos[".scrollGridBody"] = true;

$tdatatb_categpdtos[".shortTableName"] = "tb_categpdtos";
$tdatatb_categpdtos[".nSecOptions"] = 0;

$tdatatb_categpdtos[".mainTableOwnerID"] = "";
$tdatatb_categpdtos[".entityType"] = 0;

$tdatatb_categpdtos[".strOriginalTableName"] = "tb_categpdtos";

	



$tdatatb_categpdtos[".showAddInPopup"] = false;

$tdatatb_categpdtos[".showEditInPopup"] = false;

$tdatatb_categpdtos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_categpdtos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_categpdtos[".listAjax"] = false;
//	temporary
$tdatatb_categpdtos[".listAjax"] = false;

	$tdatatb_categpdtos[".audit"] = false;

	$tdatatb_categpdtos[".locking"] = false;


$pages = $tdatatb_categpdtos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_categpdtos[".edit"] = true;
	$tdatatb_categpdtos[".afterEditAction"] = 0;
	$tdatatb_categpdtos[".closePopupAfterEdit"] = 1;
	$tdatatb_categpdtos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_categpdtos[".add"] = true;
$tdatatb_categpdtos[".afterAddAction"] = 0;
$tdatatb_categpdtos[".closePopupAfterAdd"] = 1;
$tdatatb_categpdtos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_categpdtos[".list"] = true;
}



$tdatatb_categpdtos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_categpdtos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_categpdtos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_categpdtos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_categpdtos[".printFriendly"] = true;
}



$tdatatb_categpdtos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_categpdtos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_categpdtos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_categpdtos[".isUseAjaxSuggest"] = true;

$tdatatb_categpdtos[".rowHighlite"] = true;





$tdatatb_categpdtos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_categpdtos[".buttonsAdded"] = false;

$tdatatb_categpdtos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_categpdtos[".isUseTimeForSearch"] = false;


$tdatatb_categpdtos[".badgeColor"] = "00C2C5";


$tdatatb_categpdtos[".allSearchFields"] = array();
$tdatatb_categpdtos[".filterFields"] = array();
$tdatatb_categpdtos[".requiredSearchFields"] = array();

$tdatatb_categpdtos[".googleLikeFields"] = array();
$tdatatb_categpdtos[".googleLikeFields"][] = "categpdtoID";
$tdatatb_categpdtos[".googleLikeFields"][] = "categoria";
$tdatatb_categpdtos[".googleLikeFields"][] = "ativar";



$tdatatb_categpdtos[".tableType"] = "list";

$tdatatb_categpdtos[".printerPageOrientation"] = 0;
$tdatatb_categpdtos[".nPrinterPageScale"] = 100;

$tdatatb_categpdtos[".nPrinterSplitRecords"] = 40;

$tdatatb_categpdtos[".geocodingEnabled"] = false;










$tdatatb_categpdtos[".pageSize"] = 20;

$tdatatb_categpdtos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_categpdtos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_categpdtos[".orderindexes"] = array();

$tdatatb_categpdtos[".sqlHead"] = "SELECT categpdtoID,  	categoria,  	ativar";
$tdatatb_categpdtos[".sqlFrom"] = "FROM tb_categpdtos";
$tdatatb_categpdtos[".sqlWhereExpr"] = "";
$tdatatb_categpdtos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_categpdtos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_categpdtos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_categpdtos[".highlightSearchResults"] = true;

$tableKeystb_categpdtos = array();
$tableKeystb_categpdtos[] = "categpdtoID";
$tdatatb_categpdtos[".Keys"] = $tableKeystb_categpdtos;


$tdatatb_categpdtos[".hideMobileList"] = array();




//	categpdtoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "categpdtoID";
	$fdata["GoodName"] = "categpdtoID";
	$fdata["ownerTable"] = "tb_categpdtos";
	$fdata["Label"] = GetFieldLabel("tb_categpdtos","categpdtoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "categpdtoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categpdtoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categpdtos["categpdtoID"] = $fdata;
		$tdatatb_categpdtos[".searchableFields"][] = "categpdtoID";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_categpdtos";
	$fdata["Label"] = GetFieldLabel("tb_categpdtos","categoria");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categpdtos["categoria"] = $fdata;
		$tdatatb_categpdtos[".searchableFields"][] = "categoria";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_categpdtos";
	$fdata["Label"] = GetFieldLabel("tb_categpdtos","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categpdtos["ativar"] = $fdata;
		$tdatatb_categpdtos[".searchableFields"][] = "ativar";


$tables_data["tb_categpdtos"]=&$tdatatb_categpdtos;
$field_labels["tb_categpdtos"] = &$fieldLabelstb_categpdtos;
$fieldToolTips["tb_categpdtos"] = &$fieldToolTipstb_categpdtos;
$placeHolders["tb_categpdtos"] = &$placeHolderstb_categpdtos;
$page_titles["tb_categpdtos"] = &$pageTitlestb_categpdtos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_categpdtos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_categpdtos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_categpdtos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "categpdtoID,  	categoria,  	ativar";
$proto0["m_strFrom"] = "FROM tb_categpdtos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "categpdtoID",
	"m_strTable" => "tb_categpdtos",
	"m_srcTableName" => "tb_categpdtos"
));

$proto6["m_sql"] = "categpdtoID";
$proto6["m_srcTableName"] = "tb_categpdtos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_categpdtos",
	"m_srcTableName" => "tb_categpdtos"
));

$proto8["m_sql"] = "categoria";
$proto8["m_srcTableName"] = "tb_categpdtos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_categpdtos",
	"m_srcTableName" => "tb_categpdtos"
));

$proto10["m_sql"] = "ativar";
$proto10["m_srcTableName"] = "tb_categpdtos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "tb_categpdtos";
$proto13["m_srcTableName"] = "tb_categpdtos";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "categpdtoID";
$proto13["m_columns"][] = "categoria";
$proto13["m_columns"][] = "ativar";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "tb_categpdtos";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "tb_categpdtos";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_categpdtos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_categpdtos = createSqlQuery_tb_categpdtos();


	
		;

			

$tdatatb_categpdtos[".sqlquery"] = $queryData_tb_categpdtos;

$tableEvents["tb_categpdtos"] = new eventsBase;
$tdatatb_categpdtos[".hasEvents"] = false;

?>